package org.isakiev.fileManager.contentManagers;

/**
 * Listens to rename/move/copy/delete processes events. 
 * @author Ruslan Isakiev
 */
public interface IProcessInfoListener {
	
	public void progressChanged(int percents);
	
	public void processingNewFile(String name);
	
	public void showMessage(String message);

}
