package org.isakiev.fileManager.entityTypes;

import java.awt.Color;

import org.isakiev.fileManager.utils.Settings;
import org.isakiev.fileManager.utils.Tools;


class DiskType extends AbstractType {

	public DiskType() {
		setIcon(Tools.getTools().loadIcon("/resources/icon_dir.gif"));
	}
	
	public String getName() {
		return "disk";
	}

	public int getPriority() {
		return Integer.MAX_VALUE;
	}

	public String getDescription() {
		return "system root directory";
	}
	
	public boolean checkFile(FileInfo info) {
		return false;
	}

	public Color getColorForNCViewer() {
		return Settings.getInstance().getDirectoryColor();
	}
	
}
