package org.isakiev.fileManager.entityTypes;

import javax.swing.JComponent;
import org.isakiev.fileManager.entities.IEntity;

/**
 * This interface represents entity viewer factory, which 
 * can get a viewer component for the specified entity.
 * @author Ruslan Isakiev
 */
public interface IEntityViewer {
	public JComponent getViewerComponent(IEntity entity);
}
