package org.isakiev.fileManager.entities;

import java.io.File;

import org.isakiev.fileManager.entityTypes.IEntityType;

/**
* The class reperesents file.
* @author Isakiev Ruslan.
*/
class FileEntity extends Entity implements IFileEntity{
	
	/**
	 * Main constructor
	 * @param file file or directory pathname
	 * @param parent parent in the tree
	 */
	public FileEntity(File file, IEntity parent, IEntityType type) {
		super(file, parent, type);
	}
	
	/**
	 * Checks if the Entity is FileEntity
	 * @return check result 
	 */
	public boolean isFileEntity() {
		return true;
	}
	
}
